← Töflur
Hreinsa

Scotland

Caledonia North Region League Division 3

#LiðPWDLPDBPPtsForm
1Aberdeen Wanderers RFC5500–528WWWWW
2Deeside RFC5401–421WWLW
3RAF Lossiemouth RFC5401–320LWWW
4Orkney 2nd XV6303–214WWLWL
5Inverness Craig Dunain RFC4301–313WWWL
6Turriff RFC5203–513WLWLL
7Aberdeen University Medics2200–211WW
8Huntly RFC6105–26WLLLL
9Dyce RFC4103–15LLLW
10Fraserburgh RFC4103–41LLLW
11Peterhead RFC3003–00LLL
12Caithness RFC 2nd XV3003–00LLL

Heimild: Scottish Rugby · athugað 18. okt., 16:20 · Form: síðustu fimm úrslit sem við höfum, nýjustu til hægri.

Leikir og úrslit →

Hver tafla er sú sem deildin sjálf birtir, með bónusstigum, frádrætti og jafnræðisreglum. BP er sýnt þar sem deildin birtir það; annars er það þegar í Pts.